Last Comment Bug 493077 - "seamonkey -venkman" opens unwanted browser window
: "seamonkey -venkman" opens unwanted browser window
Status: RESOLVED FIXED
:
Product: Other Applications
Classification: Client Software
Component: Venkman JS Debugger (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Karsten Düsterloh
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 14:02 PDT by Karsten Düsterloh
Modified: 2009-06-04 15:25 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
prevent default handling if -venkman is present (518 bytes, patch)
2009-05-18 10:55 PDT, Karsten Düsterloh
gijskruitbosch+bugs: review+
Details | Diff | Splinter Review

Description Karsten Düsterloh 2009-05-14 14:02:50 PDT
When starting seamonkey with just one of the following commandline options
 -jsconsole
 -venkman
it will not only open the requested window, but also drag a mere browser window into existence nobody did draw a pentagram for...
Comment 1 Philip Chee 2009-05-18 09:47:59 PDT
See Bug 395371. In the mean time as a workaround start seamonkey with -silent as well as -jsconsole.

Also Karsten you have been around long enough to know that you should file one bug per issue/component. So one each for each commandline handler.
Comment 2 Karsten Düsterloh 2009-05-18 10:55:07 PDT
Created attachment 378083 [details] [diff] [review]
prevent default handling if -venkman is present

This patch denies opening any default windows like browser if -venkman is given, so that we're able to set our future breakpoints beforehand...

(In reply to comment #1)
> See Bug 395371. In the mean time as a workaround start seamonkey with -silent
> as well as -jsconsole.

Meh, that comment #5 there just doesn't make sense, that's just plain counter-intuitive.

> Also Karsten you have been around long enough to know that you should file one
> bug per issue/component. So one each for each commandline handler.

Well, I did file *one* issue with the startup handler code, I couldn't foresee you'd be changing the component... :-P
Comment 3 :Gijs Kruitbosch (Gone July 28 - Aug 11) 2009-05-29 06:54:52 PDT
Comment on attachment 378083 [details] [diff] [review]
prevent default handling if -venkman is present

r=me
Comment 4 Karsten Düsterloh 2009-06-04 15:25:18 PDT
Pushed as <http://hg.mozilla.org/venkman/rev/d3e68b8f918e>.

Note You need to log in before you can comment on or make changes to this bug.